MailcrateDocs
Webhooks

List webhook endpoints

GET
/public/webhook/endpoints

Requires the webhook:read scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Query Parameters

limit?integer
Range1 <= value <= 500
Default50
offset?integer
Range0 <= value
Default0
page?integer
Range1 <= value
sortBy?string
sortOrder?string
Value in"ASC""DESC"

Response Body

A page of results.

application/json
  1. response
data*array<>
total*integer

Matches across all pages.

limit*integer
offset*integer

The offset actually applied, also when you paginated with page.

Example Request
curl -X GET 'https://api.mailcrate.io/public/webhook/endpoints' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "data": [    {      "id": "string",      "name": "string",      "url": "string",      "secret": "string",      "enabled": true,      "subscribedEvents": [        "campaign.deleted"      ],      "description": "string",      "created": "2019-08-24T14:15:22Z",      "updated": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "limit": 0,  "offset": 0}